### Function

# FwupdPlugin xmlb_builder_insert_kx

since: 1.6.0

#### Declaration [src]

    void
    fu_xmlb_builder_insert_kx (
      XbBuilderNode* bn,
      const gchar* key,
      guint64 value
    )

#### Description [src]

Convenience function to add an XML node with an integer value. If `value` is 0 then no member is added.

Available since: 1.6.0

#### Parameters

`bn`

  Type: `XbBuilderNode`

  `XbBuilderNode`.

  The data is owned by the caller of the function.

`key`

  Type: `const gchar*`

  String key.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `guint64`

  Integer value.